## ruff 0.0.291+dfsg1

=== docs/requirements.txt ===
PyYAML==6.0
black==23.3.0
mkdocs==1.5.0
mkdocs-material==9.1.18

=== debian/changelog ===
ruff (0.0.291+dfsg1-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Change Maintainer to Debian Python Team, moving myself to Uploaders.

  [ James McCoy ]
  * Remove older-notify patch, now that rust-notify 6.1.1 is available in
    unstable
  * Add relax-strum patch to fix build with strum 0.26

 -- James McCoy <jamessan@debian.org>  Sun, 16 Jun 2024 13:44:52 -0400

ruff (0.0.291+dfsg1-3) unstable; urgency=medium

  * Fix build; update dependencies:
   + toml: 0.7 ⇒ 0.8
   + strum: 0.24 ⇒ 0.25
  * Fix patch drop-imperative, which was missing some files.
  * Add missing build dependencies:
   + librust-result-like-dev
   + librust-pretty-assertions-dev
  * Add patch find-ruff: hardcode path to ruff on Debian. Closes:
    #1058753

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 01 Feb 2024 21:04:20 +0000

ruff (0.0.291+dfsg1-2) unstable; urgency=medium

  * python3-ruff: Add dependency on ruff itself. Closes: #1055559

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 08 Nov 2023 09:31:58 +0000

ruff (0.0.291+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #1030835)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 07 Aug 2023 23:07:00 +0100

=== debian/control ===
Source: ruff
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Section: python
Priority: optional
Homepage: https://github.com/charliermarsh/ruff/
Build-Depends: cargo,
               debhelper-compat (= 13),
               dh-python,
               librust-anyhow-dev,
               librust-argfile-dev,
               librust-assert-cmd-dev,
               librust-cachedir-dev,
               librust-clap-dev (>= 4),
               librust-clearscreen-dev,
               librust-colored-dev,
               librust-configparser-dev,
               librust-console-error-panic-hook-dev,
               librust-console-log-dev,
               librust-countme-dev,
               librust-dirs-dev,
               librust-drop-bomb-dev,
               librust-fern-dev,
               librust-ignore-dev,
               librust-insta-cmd-dev,
               librust-is-macro-dev,
               librust-js-sys-dev,
               librust-lalrpop-dev,
               librust-libcst-dev,
               librust-mimalloc-dev,
               librust-natord-dev,
               librust-nohash-hasher-dev,
               librust-notify-dev,
               librust-path-absolutize-dev,
               librust-pathdiff-dev,
               librust-pep440-rs-dev,
               librust-pretty-assertions-dev,
               librust-pyproject-toml-dev,
               librust-quick-junit-dev,
               librust-result-like-dev,
               librust-rustpython-ast-dev,
               librust-rustpython-common-dev,
               librust-rustpython-parser-dev,
               librust-schemars-dev,
               librust-serde-json-dev,
               librust-serde-with-dev,
               librust-shellexpand-dev,
               librust-shlex-dev,
               librust-strum-dev,
               librust-test-case-dev,
               librust-tikv-jemallocator-dev,
               librust-titlecase-dev,
               librust-toml-dev (>= 0.7),
               librust-tracing-subscriber-dev,
               librust-typed-arena-dev,
               librust-ureq-dev,
               librust-wild-dev,
               pybuild-plugin-pyproject,
               python3-all,
               python3-libcst,
               python3-maturin,
               python3-setuptools,
               python3-wheel,
               rustc
Standards-Version: 4.6.2.0
Vcs-Git: https://salsa.debian.org/python-team/packages/ruff.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ruff

Package: ruff
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Fast linter for Python, written in Rust
 Ruff is a linter for Python that includes implementations of many common
 checks implemented by flake8, flake8 plugins, and pylint.

Package: python3-ruff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ruff
Description: Fast linter for Python, written in Rust
 Ruff is a linter for Python that includes implementations of many common
 checks implemented by flake8, flake8 plugins, and pylint.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $* --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	-mv Cargo.lock.bak Cargo.lock || true
	dh_auto_clean

override_dh_auto_build:
	-mv Cargo.lock Cargo.lock.bak || true
	dh_auto_build

## ruff lsp-0.0.10

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --output-file=requirements.txt --resolver=backtracking pyproject.toml
#
attrs==22.2.0
    # via
    #   cattrs
    #   lsprotocol
cattrs==22.2.0
    # via lsprotocol
lsprotocol==2022.0.0a9
    # via pygls
pygls==1.0.0
    # via ruff-lsp (pyproject.toml)
ruff==0.0.193
    # via ruff-lsp (pyproject.toml)
typeguard==2.13.3
    # via pygls
typing-extensions==4.4.0
    # via ruff-lsp (pyproject.toml)

## ruff lsp-0.0.11

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.7
# by the following command:
#
#    pip-compile --output-file=requirements.txt --resolver=backtracking pyproject.toml
#
attrs==22.2.0
    # via
    #   cattrs
    #   lsprotocol
cattrs==22.2.0
    # via lsprotocol
exceptiongroup==1.1.0
    # via cattrs
lsprotocol==2022.0.0a9
    # via pygls
pygls==1.0.0
    # via ruff-lsp (pyproject.toml)
ruff==0.0.194
    # via ruff-lsp (pyproject.toml)
typeguard==2.13.3
    # via pygls
typing-extensions==4.4.0
    # via
    #   cattrs
    #   ruff-lsp (pyproject.toml)

## ruff lsp-0.0.14

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
     # via pygls
 pygls==1.0.0
     # via ruff-lsp (pyproject.toml)
-ruff==0.0.194
+ruff==0.0.204
     # via ruff-lsp (pyproject.toml)
 typeguard==2.13.3
     # via pygls

## ruff lsp-0.0.21

=== requirements.txt ===
--- 
+++ 
@@ -12,15 +12,17 @@
     # via lsprotocol
 exceptiongroup==1.1.0
     # via cattrs
-lsprotocol==2022.0.0a9
-    # via pygls
-pygls==1.0.0
+lsprotocol==2023.0.0a1
+    # via
+    #   pygls
+    #   ruff-lsp (pyproject.toml)
+pygls==1.0.1
     # via ruff-lsp (pyproject.toml)
-ruff==0.0.204
+ruff==0.0.253
     # via ruff-lsp (pyproject.toml)
 typeguard==2.13.3
     # via pygls
-typing-extensions==4.4.0
+typing-extensions==4.5.0
     # via
     #   cattrs
     #   ruff-lsp (pyproject.toml)

## ruff lsp-0.0.41

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.7
# by the following command:
#
#    pip-compile --generate-hashes --output-file=requirements.txt --resolver=backtracking pyproject.toml
#
attrs==23.1.0 \
    --hash=sha256:1f28b4522cdc2fb4256ac1a020c78acf9cba2c6b461ccd2c126f3aa8e8335d04 \
    --hash=sha256:6279836d581513a26f1bf235f9acd333bc9115683f14f7e8fae46c98fc50e015
    # via
    #   cattrs
    #   lsprotocol
cattrs==23.1.2 \
    --hash=sha256:b2bb14311ac17bed0d58785e5a60f022e5431aca3932e3fc5cc8ed8639de50a4 \
    --hash=sha256:db1c821b8c537382b2c7c66678c3790091ca0275ac486c76f3c8f3920e83c657
    # via lsprotocol
exceptiongroup==1.1.3 \
    --hash=sha256:097acd85d473d75af5bb98e41b61ff7fe35efe6675e4f9370ec6ec5126d160e9 \
    --hash=sha256:343280667a4585d195ca1cf9cef84a4e178c4b6cf2274caef9859782b567d5e3
    # via cattrs
importlib-metadata==6.7.0 \
    --hash=sha256:1aaf550d4f73e5d6783e7acb77aec43d49da8017410afae93822cc9cca98c4d4 \
    --hash=sha256:cb52082e659e97afc5dac71e79de97d8681de3aa07ff18578330904a9d18e5b5
    # via
    #   attrs
    #   typeguard
lsprotocol==2023.0.0b1 \
    --hash=sha256:ade2cd0fa0ede7965698cb59cd05d3adbd19178fd73e83f72ef57a032fbb9d62 \
    --hash=sha256:f7a2d4655cbd5639f373ddd1789807450c543341fa0a32b064ad30dbb9f510d4
    # via
    #   pygls
    #   ruff-lsp (pyproject.toml)
packaging==23.2 \
    --hash=sha256:048fb0e9405036518eaaf48a55953c750c11e1a1b68e0dd1a9d62ed0c092cfc5 \
    --hash=sha256:8c491190033a9af7e1d931d0b5dacc2ef47509b34dd0de67ed209b5203fc88c7
    # via ruff-lsp (pyproject.toml)
pygls==1.1.1 \
    --hash=sha256:330704551a335b443bf1cdfb0507f121608591095898d451f0007eeb1510067c \
    --hash=sha256:b1b4ddd6f800a5573f61f0ec2cd3bc7a859d171f48142b46e1de35a1357c00fe
    # via ruff-lsp (pyproject.toml)
ruff==0.0.292 \
    --hash=sha256:02f29db018c9d474270c704e6c6b13b18ed0ecac82761e4fcf0faa3728430c96 \
    --hash=sha256:1093449e37dd1e9b813798f6ad70932b57cf614e5c2b5c51005bf67d55db33ac \
    --hash=sha256:69654e564342f507edfa09ee6897883ca76e331d4bbc3676d8a8403838e9fade \
    --hash=sha256:6bdfabd4334684a4418b99b3118793f2c13bb67bf1540a769d7816410402a205 \
    --hash=sha256:6c3c91859a9b845c33778f11902e7b26440d64b9d5110edd4e4fa1726c41e0a4 \
    --hash=sha256:7f67a69c8f12fbc8daf6ae6d36705037bde315abf8b82b6e1f4c9e74eb750f68 \
    --hash=sha256:87616771e72820800b8faea82edd858324b29bb99a920d6aa3d3949dd3f88fb0 \
    --hash=sha256:8e087b24d0d849c5c81516ec740bf4fd48bf363cfb104545464e0fca749b6af9 \
    --hash=sha256:9889bac18a0c07018aac75ef6c1e6511d8411724d67cb879103b01758e110a81 \
    --hash=sha256:aa7c77c53bfcd75dbcd4d1f42d6cabf2485d2e1ee0678da850f08e1ab13081a8 \
    --hash=sha256:ac153eee6dd4444501c4bb92bff866491d4bfb01ce26dd2fff7ca472c8df9ad0 \
    --hash=sha256:b76deb3bdbea2ef97db286cf953488745dd6424c122d275f05836c53f62d4016 \
    --hash=sha256:be8eb50eaf8648070b8e58ece8e69c9322d34afe367eec4210fdee9a555e4ca7 \
    --hash=sha256:e854b05408f7a8033a027e4b1c7f9889563dd2aca545d13d06711e5c39c3d003 \
    --hash=sha256:f160b5ec26be32362d0774964e218f3fcf0a7da299f7e220ef45ae9e3e67101a \
    --hash=sha256:f27282bedfd04d4c3492e5c3398360c9d86a295be00eccc63914438b4ac8a83c \
    --hash=sha256:f4476f1243af2d8c29da5f235c13dca52177117935e1f9393f9d90f9833f69e4
    # via ruff-lsp (pyproject.toml)
typeguard==3.0.2 \
    --hash=sha256:bbe993854385284ab42fd5bd3bee6f6556577ce8b50696d6cb956d704f286c8e \
    --hash=sha256:fee5297fdb28f8e9efcb8142b5ee219e02375509cd77ea9d270b5af826358d5a
    # via pygls
typing-extensions==4.7.1 \
    --hash=sha256:440d5dd3af93b060174bf433bccd69b0babc3b15b1a8dca43789fd7f61514b36 \
    --hash=sha256:b75ddc264f0ba5615db7ba217daeb99701ad295353c45f9e95963337ceeeffb2
    # via
    #   cattrs
    #   importlib-metadata
    #   ruff-lsp (pyproject.toml)
    #   typeguard
zipp==3.15.0 \
    --hash=sha256:112929ad649da941c23de50f356a2b5570c954b65150642bccdd66bf194d224b \
    --hash=sha256:48904fc76a60e542af151aded95726c1a5c34ed43ab4134b597665c86d7ad556
    # via importlib-metadata

## ruff lsp-0.0.53

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.7
# by the following command:
#
#    pip-compile --generate-hashes --output-file=requirements.txt --resolver=backtracking pyproject.toml
#
attrs==23.2.0 \
    --hash=sha256:935dc3b529c262f6cf76e50877d35a4bd3c1de194fd41f47a2b7ae8f19971f30 \
    --hash=sha256:99b87a485a5820b23b879f04c2305b44b951b502fd64be915879d77a7e8fc6f1
    # via
    #   cattrs
    #   lsprotocol
cattrs==23.1.2 \
    --hash=sha256:b2bb14311ac17bed0d58785e5a60f022e5431aca3932e3fc5cc8ed8639de50a4 \
    --hash=sha256:db1c821b8c537382b2c7c66678c3790091ca0275ac486c76f3c8f3920e83c657
    # via lsprotocol
exceptiongroup==1.2.0 \
    --hash=sha256:4bfd3996ac73b41e9b9628b04e079f193850720ea5945fc96a08633c66912f14 \
    --hash=sha256:91f5c769735f051a4290d52edd0858999b57e5876e9f85937691bd4c9fa3ed68
    # via cattrs
importlib-metadata==6.7.0 \
    --hash=sha256:1aaf550d4f73e5d6783e7acb77aec43d49da8017410afae93822cc9cca98c4d4 \
    --hash=sha256:cb52082e659e97afc5dac71e79de97d8681de3aa07ff18578330904a9d18e5b5
    # via attrs
lsprotocol==2023.0.0 \
    --hash=sha256:c9d92e12a3f4ed9317d3068226592860aab5357d93cf5b2451dc244eee8f35f2 \
    --hash=sha256:e85fc87ee26c816adca9eb497bb3db1a7c79c477a11563626e712eaccf926a05
    # via
    #   pygls
    #   ruff-lsp (pyproject.toml)
packaging==23.2 \
    --hash=sha256:048fb0e9405036518eaaf48a55953c750c11e1a1b68e0dd1a9d62ed0c092cfc5 \
    --hash=sha256:8c491190033a9af7e1d931d0b5dacc2ef47509b34dd0de67ed209b5203fc88c7
    # via ruff-lsp (pyproject.toml)
pygls==1.2.1 \
    --hash=sha256:04f9b9c115b622dcc346fb390289066565343d60245a424eca77cb429b911ed8 \
    --hash=sha256:7dcfcf12b6f15beb606afa46de2ed348b65a279c340ef2242a9a35c22eeafe94
    # via ruff-lsp (pyproject.toml)
ruff==0.3.0 \
    --hash=sha256:0886184ba2618d815067cf43e005388967b67ab9c80df52b32ec1152ab49f53a \
    --hash=sha256:128265876c1d703e5f5e5a4543bd8be47c73a9ba223fd3989d4aa87dd06f312f \
    --hash=sha256:19eacceb4c9406f6c41af806418a26fdb23120dfe53583df76d1401c92b7c14b \
    --hash=sha256:23dbb808e2f1d68eeadd5f655485e235c102ac6f12ad31505804edced2a5ae77 \
    --hash=sha256:2f7dbba46e2827dfcb0f0cc55fba8e96ba7c8700e0a866eb8cef7d1d66c25dcb \
    --hash=sha256:3ef655c51f41d5fa879f98e40c90072b567c666a7114fa2d9fe004dffba00932 \
    --hash=sha256:5da894a29ec018a8293d3d17c797e73b374773943e8369cfc50495573d396933 \
    --hash=sha256:755c22536d7f1889be25f2baf6fedd019d0c51d079e8417d4441159f3bcd30c2 \
    --hash=sha256:7deb528029bacf845bdbb3dbb2927d8ef9b4356a5e731b10eef171e3f0a85944 \
    --hash=sha256:9343690f95710f8cf251bee1013bf43030072b9f8d012fbed6ad702ef70d360a \
    --hash=sha256:a1f3ed501a42f60f4dedb7805fa8d4534e78b4e196f536bac926f805f0743d49 \
    --hash=sha256:b08b356d06a792e49a12074b62222f9d4ea2a11dca9da9f68163b28c71bf1dd4 \
    --hash=sha256:cc30a9053ff2f1ffb505a585797c23434d5f6c838bacfe206c0e6cf38c921a1e \
    --hash=sha256:d0d3d7ef3d4f06433d592e5f7d813314a34601e6c5be8481cccb7fa760aa243e \
    --hash=sha256:dd73fe7f4c28d317855da6a7bc4aa29a1500320818dd8f27df95f70a01b8171f \
    --hash=sha256:e1e0d4381ca88fb2b73ea0766008e703f33f460295de658f5467f6f229658c19 \
    --hash=sha256:e3a4a6d46aef0a84b74fcd201a4401ea9a6cd85614f6a9435f2d33dd8cefbf83
    # via ruff-lsp (pyproject.toml)
typing-extensions==4.7.1 \
    --hash=sha256:440d5dd3af93b060174bf433bccd69b0babc3b15b1a8dca43789fd7f61514b36 \
    --hash=sha256:b75ddc264f0ba5615db7ba217daeb99701ad295353c45f9e95963337ceeeffb2
    # via
    #   cattrs
    #   importlib-metadata
    #   ruff-lsp (pyproject.toml)
zipp==3.15.0 \
    --hash=sha256:112929ad649da941c23de50f356a2b5570c954b65150642bccdd66bf194d224b \
    --hash=sha256:48904fc76a60e542af151aded95726c1a5c34ed43ab4134b597665c86d7ad556
    # via importlib-metadata
